Subject: Re: [RFC PATCH 1/1] NUMA aware scheduling per cpu vhost thread

From: Rick Jones <[email-masked]>
Date: Fri, 23 Mar 2012 14:21:04 -0700

>
> Yeah, it becomes a question of time.  I run each test 3 times and
> average the results, so to run the full suite takes a long time.

I've found the "walk up the instance count with the interim results 
emitted" allows me quicker overall run time than launching all the 
netperfs at once with a long run time to kludge around skew.  Well 
modulo the time it takes to get them all launched.  But for the smallish 
stuff it is rather faster than the 15 minutes a data point I'd get with 
the (ab)use of the confidence intervals mechanism in runemomniagg2.sh . 
  It also avoids the "run one wait for it to finish, run two, wait for 
them to finish, run four, wait for them to finish" bit.  Walking-up the 
instance count leaving the previous instances going does mean that the 
"end of test" information is full of skew, but a great deal of that 
end-of-test information is invariant anyway.

happy benchmarking,

rick jones